// @buildsys IMPORTED: DO NOT EDIT! 
{
	"format_version": "1.10.0",
	"animations": {
		"animation.mnp_ci.barracuda.swim": {
			"loop": true,
			"bones": {
				"bodyFront": {
					"rotation": [0, "math.cos(q.anim_time*900) * 3", 0],
					"position": ["math.sin(q.anim_time*900+20) * 0.2", 0, "math.sin(math.sqrt(math.min(q.anim_time*0.4,1))*90)*2"]
				},
				"leftFin": {
					"rotation": [0, "math.sin(q.anim_time*900+10) * -5", 0]
				},
				"leftBotFin": {
					"rotation": [0, 0, "math.sin(q.anim_time*900+10) * 3"]
				},
				"head": {
					"rotation": [0, "math.cos(q.anim_time*900) * -1", 0]
				},
				"tail": {
					"rotation": [0, "math.cos(q.anim_time*900+15) * -6", 0]
				},
				"tailFin": {
					"rotation": [0, "math.cos(q.anim_time*900) * -10", 0]
				},
				"rightFin": {
					"rotation": [0, "math.sin(q.anim_time*900+10) * -5", 0]
				},
				"rightBotFin": {
					"rotation": [0, 0, "math.sin(q.anim_time*900+10) * 3"]
				},
				"bodyBack": {
					"rotation": [0, "math.cos(q.anim_time*900+7.5) * -8", 0]
				}
			}
		},
		"animation.mnp_ci.barracuda.swim.angle": {
			"loop": true,
			"bones": {
				"root": {
					"rotation": ["v.pitch*0.5", "v.yaw*0.7", 0],
					"position": ["math.sin(v.yaw)", "(1-math.cos(v.pitch))*3", "(1-math.cos(v.pitch))*-2"]
				},
				"bodyFront": {
					"rotation": [0, 0, "v.yaw*(1-math.cos(v.pitch))*-0.2"]
				},
				"bodyBack": {
					"rotation": [0, "v.yaw*-0.25", 0]
				},
				"tail": {
					"rotation": [0, "v.yaw*-0.2", 0]
				}
			}
		},
		"animation.mnp_ci.barracuda.flop": {
			"loop": true,
			"bones": {
				"bodyFront": {
					"rotation": [0, "math.cos(q.anim_time*1350) * 4", "v.zrot"],
					"position": [0, 0, 2]
				},
				"leftFin": {
					"rotation": [0, "math.cos(q.anim_time*1350) * 15-5", 0]
				},
				"leftBotFin": {
					"rotation": [0, 0, "math.cos(q.anim_time*1350) * 15"]
				},
				"tail": {
					"rotation": [0, "math.cos(q.anim_time*1350) * -12", 0]
				},
				"tailFin": {
					"rotation": [0, "math.cos(q.anim_time*1350) * -10", 0]
				},
				"rightFin": {
					"rotation": [0, "math.cos(q.anim_time*1350) * -15+5", 0]
				},
				"rightBotFin": {
					"rotation": [0, 0, "math.cos(q.anim_time*1350) * -15"]
				},
				"bodyBack": {
					"rotation": [0, "math.cos(q.anim_time*1350) * -12", 0]
				}
			}
		},
		"animation.mnp_ci.barracuda.bite": {
			"loop": true,
			"bones": {
				"bodyFront": {
					"rotation": [0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*-6", 0],
					"position": [0, 0, "math.cos(v.attack_time*100)*math.sin(v.attack_time*180)*-4"]
				},
				"head": {
					"rotation": [
						"math.sin(math.min(v.attack_time*300,200))*math.sin(v.attack_time*180)*-12",
						"math.sin(v.attack_time*300)*math.sin(v.attack_time*180)*-6",
						0
					]
				},
				"mouth_open0": {
					"rotation": ["4+math.sin(v.attack_time*90)*-2", 0, 0]
				},
				"mouth_open1": {
					"rotation": ["-5+math.sin(v.attack_time*250)*20", 0, 0]
				},
				"leftFin": {
					"rotation": [0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*20", 0]
				},
				"rightFin": {
					"rotation": [0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*-20", 0]
				},
				"bodyBack": {
					"rotation": [
						"math.sin(v.attack_time*360)*math.sin(v.attack_time*180)*-5",
						"math.sin(v.attack_time*180)*10+math.sin(v.attack_time*500)*math.sin(v.attack_time*180)*15",
						0
					]
				},
				"tail": {
					"rotation": [0, "math.sin(v.attack_time*500-60)*math.sin(v.attack_time*180)*15", 0]
				},
				"tailFin": {
					"rotation": [0, "math.sin(v.attack_time*500)*math.sin(v.attack_time*180)*5", "math.sin(v.attack_time*330+60)*math.sin(v.attack_time*180)*-10"]
				},
				"leftBotFin": {
					"rotation": ["math.sin(v.attack_time*180)*-20", 0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*20"]
				},
				"rightBotFin": {
					"rotation": ["math.sin(v.attack_time*180)*-20", 0, "math.sin(v.attack_time*400)*math.sin(v.attack_time*180)*-20"]
				}
			}
		},
		"animation.mnp_ci.barracuda.idle.underwater": {
			"loop": true,
			"bones": {
				"bodyFront": {
					"rotation": [0, "math.cos(q.anim_time*110-60) * 3", "math.cos(q.anim_time*110+20) * 1"],
					"position": ["math.cos(q.anim_time*110-40) * 0.2", 0, "2-math.sin(math.sqrt(math.min(q.anim_time*0.4,1))*90)*2"]
				},
				"head": {
					"rotation": [-1, "math.cos(q.anim_time*110-60) * -2", 0]
				},
				"mouth_open1": {
					"rotation": [7.5, 0, 0]
				},
				"bodyBack": {
					"rotation": [0, "math.cos(q.anim_time*110+20) * -1", 0]
				},
				"tail": {
					"rotation": [0, "math.cos(q.anim_time*110+40) * -4", "math.cos(q.anim_time*110+100) * 4"]
				},
				"tailFin": {
					"rotation": [0, "math.cos(q.anim_time*110+60) * -4", "math.cos(q.anim_time*110+120) * 4"]
				},
				"leftBotFin": {
					"rotation": [0, 0, "math.cos(q.anim_time*110-60) * 1.5"]
				}
			}
		}
	}
}